<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_miniorange_mediarestriction
 *
 * @copyright   Copyright (C) 2005 - 2015 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted Access');

JHtml::_('jquery.framework');
JHtml::_('stylesheet', JURI::base() . 'components/com_miniorange_mediarestriction/assets/css/miniorange_mediarestriction.css');
JHtml::_('stylesheet', JURI::base() . 'components/com_miniorange_mediarestriction/assets/css/bootstrap-select-min.css');
JHtml::_('stylesheet', JURI::base() . 'components/com_miniorange_mediarestriction/assets/css/miniorange_boot.css');
JHtml::_('script', JURI::base() . 'components/com_miniorange_mediarestriction/assets/js/bootstrap.js');
JHtml::_('script', JURI::base() . 'components/com_miniorange_mediarestriction/assets/js/utility.js');
JHtml::_('script', 'https://cdn.jsdelivr.net/npm/@yaireo/tagify');
JHtml::_('script','https://cdn.jsdelivr.net/npm/@yaireo/tagify/dist/tagify.polyfills.min.js');
JHtml::_('stylesheet', 'https://cdn.jsdelivr.net/npm/@yaireo/tagify/dist/tagify.css');
JHtml::_('stylesheet', 'https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css');

if (MoMediaRestrictionUtility::is_curl_installed() == 0){ ?>
    <p style="color:red;">(Warning: <a href="http://php.net/manual/en/curl.installation.php" target="_blank">PHP CURL extension</a> is not installed or disabled) Please go to Troubleshooting for steps to enable curl.</p>
    <?php
}

$tab_name = 'overview';
$active_tab = JFactory::getApplication()->input->get->getArray();

if (isset($active_tab['tab-panel']) && !empty($active_tab['tab-panel'])) {
    $tab_name = $active_tab['tab-panel'];
}
?>


<div class="form-horizontal">
    <div class="nav-tab-wrapper mo_idp_nav-tab-wrapper">
        
        <a id="media_restriction_overview"
           class="mo_nav-tab <?php echo $tab_name == 'overview' ? 'mo_nav_tab_active' : ''; ?>" href="#media_plugin_overview"
           onclick="add_css_tab('#media_restriction_overview');"
           data-toggle="tab"><?php echo JText::_('COM_MINIORANGE_MEDIA_PLUGIN_OVERVIEW');?>
        </a>

        <a id="media_restriction_access"
           class="mo_nav-tab <?php echo $tab_name == 'media_restriction_settings' ? 'mo_nav_tab_active' : ''; ?>" href="#file_restriction"
           onclick="add_css_tab('#media_restriction_access');"
           data-toggle="tab"><?php echo JText::_('COM_MINIORANGE_MEDIA_TAB1_SETTINGS');?>
        </a>

        <a id="role_based_media_restriction"
           class="mo_nav-tab <?php echo $tab_name == 'media_restriction_advance_settings' ? 'mo_nav_tab_active' : ''; ?>" href="#role_based_file_restriction"
           onclick="add_css_tab('#role_based_media_restriction');"
           data-toggle="tab"><?php echo JText::_('COM_MINIORANGE_MEDIA_TAB2_SETTINGS');?>
        </a>

        <a id="upgrade_tab"
           class="mo_nav-tab <?php echo $tab_name == 'media_restriction_upgrade' ? 'mo_nav_tab_active' : ''; ?>" href="#upgrade_plans"
           onclick="add_css_tab('#upgrade_tab');"
           data-toggle="tab"><?php echo JText::_('COM_MINIORANGE_MEDIA_PLUGIN_UPGRADE');?>
        </a>

        <a id="account_tab"
           class="mo_nav-tab <?php echo $tab_name == 'account' ? 'mo_nav_tab_active' : ''; ?>" href="#account_setup"
           onclick="add_css_tab('#account_tab');"
           data-toggle="tab"><?php echo JText::_('COM_MINIORANGE_MEDIA_ACCOUNT_SETUP');?>
        </a>
    </div>
</div>

<div class="tab-content" id="myTabContent">
    <div id="media_plugin_overview" class="tab-pane <?php echo $tab_name == 'overview' ? 'active' : ''; ?>">
        <div class="row-fluid">
            <div class="mo_sync_table_layout_1">
                <div class="mo_sync_table_layout mo_sync_users_container">
                    <?php media_restriction_plugin_overview(); ?>
                </div>
                <div class="mo_sync_table_layout_support_1">
                    <?php support_form(); ?>
                </div>
            </div>
        </div>
    </div>
    <div id="account_setup" class="tab-pane <?php echo $tab_name == 'account' ? 'active' : ''; ?>">
        <?php
        $customer_details = MoMediaRestrictionUtility::getCustomerDetails();
        $status = isset($customer_details['status']) ? $customer_details['status'] : '';
        $login_status = isset($customer_details['login_status']) ? $customer_details['login_status'] : 0;
        $registration_status = isset($customer_details['registration_status']) ? $customer_details['registration_status'] : '';
        $email 			= isset($customer_details['email']) ? $customer_details['email'] : '';

        if ($login_status)
        {
            ?>
            <div class="mo_sync_table_layout_1">
                <div class="mo_boot_row">
                    <div class="mo_boot_col-sm-8" >
                        <div class="mo_boot_p-3" style="background:white;border:2px solid rgb(15, 127, 182)">
                            <?php media_restriction_login_page(); ?>
                        </div>
                    </div>
                    <div class="mo_boot_col-sm-4">
                        <div class="mo_boot_p-3" style="background:white;border:2px solid rgb(15, 127, 182)"> <?php support_form(); ?></div>
                    </div>
                </div>
            </div>
            <?php
        }
        else if($registration_status == 'MO_OTP_DELIVERED_SUCCESS' || $registration_status == 'MO_OTP_VALIDATION_FAILURE' || $registration_status == 'MO_OTP_DELIVERED_FAILURE')
        {
            ?>
            <div class="mo_sync_table_layout_1">
                <div class="mo_boot_row">
                    <div class="mo_boot_col-sm-8" >
                        <div class="mo_boot_p-3" style="background:white;border:2px solid rgb(15, 127, 182)">
                            <?php mo_media_restriction_show_otp_verification(); ?>
                        </div>
                    </div>
                    <div class="mo_boot_col-sm-4">
                        <div class="mo_boot_p-3" style="background:white;border:2px solid rgb(15, 127, 182)"> <?php support_form(); ?></div>
                    </div>
                </div>
            </div>
            <?php
        }
        else if (!MoMediaRestrictionUtility::is_customer_registered())
        {
            ?>
            <div class="mo_sync_table_layout_1">
                <div class="mo_boot_row">
                    <div class="mo_boot_col-sm-8" >
                        <div class="mo_boot_p-3" style="background:white;border:2px solid rgb(15, 127, 182)">
                            <?php mo_media_restriction_registration_page(); ?>
                        </div>
                    </div>
                    <div class="mo_boot_col-sm-4">
                        <div class="mo_boot_p-3" style="background:white;border:2px solid rgb(15, 127, 182)"> <?php support_form(); ?></div>
                    </div>
                </div>
            </div>
        <?php 
        }
        else {
            ?>
            <div class="mo_sync_table_layout_1">
                <div class="mo_boot_row">
                    <div class="mo_boot_col-sm-8" >
                        <div class="mo_boot_p-3" style="background:white;border:2px solid rgb(15, 127, 182)">
                            <?php mo_media_restriction_account_page(); ?>
                        </div>
                    </div>
                    <div class="mo_boot_col-sm-4">
                        <div class="mo_boot_p-3" style="background:white;border:2px solid rgb(15, 127, 182)"> <?php support_form(); ?></div>
                    </div>
                </div>
            </div>
            <?php
        } ?>
    </div>

    <div id="file_restriction" class="tab-pane <?php echo $tab_name == 'media_restriction_settings' ? 'active' : ''; ?>">
        <div class="row-fluid">
            <div class="mo_sync_table_layout_1">
                <div class="mo_sync_table_layout mo_sync_users_container">
                    <?php file_restriction(); ?>
                </div>
                <div class="mo_sync_table_layout_support_1">
                    <?php support_form(); ?>
                </div>
            </div>
        </div>
    </div>

    <div id="role_based_file_restriction" class="tab-pane <?php echo $tab_name == 'media_restriction_advance_settings' ? 'active' : ''; ?>">
        <div class="row-fluid">
            <div class="mo_sync_table_layout_1">
                <div class="mo_sync_table_layout mo_sync_users_container">
                    <?php role_based_file_restriction(); ?>
                </div>
                <div class="mo_sync_table_layout_support_1">
                    <?php support_form(); ?>
                </div>
            </div>
        </div>
    </div>

    <div id="upgrade_plans" class="tab-pane <?php echo $tab_name == 'media_restriction_upgrade' ? 'active' : ''; ?>">
        <div class="row-fluid">
            <div class="mo_sync_table_layout_1">
                <div class="mo_sync_table_layout">
                    <?php media_restriction_licensing_plans(); ?>
                </div>
            </div>
        </div>
    </div>
</div>

<?php

function media_restriction_plugin_overview()
{
    ?>
     <div class="mo_boot_row mo_boot_mr-1 mo_boot_p-3 ">
            <div class="mo_boot_col-12">
                <h3>Overview</h3><hr>
            </div>
            <div class="mo_boot_col-12">
                You can protect Joomla Media Files and folders with Joomla Media Restriction plugin.
                You can restrict access to any type of file and any custom folder or subfolder based on whether the user is logged in or not, based on the user's role, membership purchased by the users or any other custom requirement.
                Our plugin supports Apache, Nginx, and other servers.<br><br>
                <strong>Joomla Media Restriction Free plugin</strong> is only for POC purposes and supports only Apache server and image folder restriction. Click <a href="index.php?option=com_miniorange_mediarestriction&view=accountsetup&tab-panel=media_restriction_upgrade">here</a> to know more about plans.
                <br><br>
                We also provide <strong> 7 day full featured trial </strong>of our premium plugin. So that you can test our plugin on your environment. Click <a href="mailto:joomlasupport@xecurify.com">here</a> to raise
                query for trial.


            </div>
        </div>
    <?php
}
function media_restriction_login_page()
{
    ?>
    <div class="mo_boot_row  mo_boot_mr-1 mo_boot_p-3">
        <div class="mo_boot_col-sm-12">
            <form name="f" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_mediarestriction&view=accountsetup&task=accountsetup.verifyCustomer'); ?>">
                <div class="mo_boot_row mo_boot_mt-2">
                    <div class="mo_boot_col-sm-12">
                        <input type="hidden" name="option1" value="mo_usync_local_verify_customer" />
                        <h3>Login with miniOrange</h3><hr>
                        <p>
                            Please enter your miniOrange account credentials. If you forgot your password then enter your email and click
                            on <strong>Forgot your password</strong> button. 
                        </p>
                    </div>
                </div>
                <div id="panel1" style="align:center!important;">
                    <div class="mo_boot_row mo_boot_mt-2">
                        <div class="mo_boot_col-sm-2 mo_boot_offset-sm-1">
                            <strong>Email:<em style="color:#FF0000">*</em> </strong>
                        </div>
                        <div class="mo_boot_col-sm-6">
                            <input class="mo_usync_table_textbox mo_boot_form-control" type="email" name="email" style="border: 1px solid #868383 !important;" required placeholder="person@example.com" value="" />
                        </div>
                    </div>
                    <div class="mo_boot_row mo_boot_mt-2">
                        <div class="mo_boot_col-sm-2 mo_boot_offset-sm-1">
                            <strong>Password:<em style="color:#FF0000">*</em> </strong>
                        </div>
                        <div class="mo_boot_col-sm-6">
                            <input class="mo_usync_table_textbox mo_boot_form-control" required type="password" name="password" style="border: 1px solid #868383 !important;" placeholder="Enter your miniOrange password" />
                        </div>
                    </div>
                    <div class="mo_boot_row mo_boot_mt-2">
                        <div class="mo_boot_col-sm-12 mo_boot_text-center">
                            <input type="submit" class="mo_boot_btn mo_boot_btn-users_sync mo_boot_mt-1" value="Login"/>
                            <input type="button" value="Back to Registration" onclick="moCancelForm();" class="mo_boot_btn mo_boot_btn-danger mo_boot_mt-1" />
                            <a href="https://login.xecurify.com/moas/idp/resetpassword" target="_blank"  class="mo_boot_btn mo_boot_btn-users_sync mo_boot_mt-1">Forgot your password?</a>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <form id="cancel_form" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_mediarestriction&view=accountsetup&task=accountsetup.cancelLoginform'); ?>">
        <input type="hidden" name="option1" value="mo_media_local_cancel" />
    </form>
    <?php
}


function mo_media_restriction_account_page()
{
    $result = MoMediaRestrictionUtility::getCustomerDetails();
    $email = isset($result['email']) ? $result['email'] : '';
    $jVersion = new JVersion();
    $jCmsVersion = $jVersion->getShortVersion();
    $phpVersion = phpversion();
   

    if (class_exists("MoMediaRestrictionUtility"))
        $moPluginVersion = MoMediaRestrictionUtility::get_plugin_version();
    else
        $moPluginVersion = "NA";
    ?>

    <div class="mo_boot_row  mo_boot_mr-1 mo_boot_p-3">
        <div class="mo_boot_col-sm-12 table-responsive">
            <br><h3>Your Profile</h3>
            <table class="table table-striped table-hover table-bordered">
                <tr>
                    <td><strong>Username/Email</strong></td>
                    <td><?php echo $email?></td>
                </tr>
                <tr>
                    <td><strong>Plugin version</strong></td>
                    <td><?php echo $moPluginVersion ?></td>
                </tr>
                <tr>
                    <td><strong>PHP version</strong></td>
                    <td><?php echo $phpVersion ?></td>
                </tr>
                <tr>
                    <td><strong>Joomla version</strong></td>
                    <td><?php echo $jCmsVersion ?></td>
                </tr>
            </table>
        </div>
        <div class="mo_boot_col-sm-12"><hr>
            <form class="mo_boot_text-center" action="<?php echo JRoute::_('index.php?option=com_miniorange_mediarestriction&view=accountsetup&task=accountsetup.ResetAccount'); ?>" name="reset_useraccount" method="post">
                <div class=" mo_boot_mt-2">
                    <input type="button"  value="Remove Account" onclick='submit();' class="mo_boot_btn mo_boot_btn-danger"  /> <br/>
                </div>
            </form>
        </div>
    </div>
    <?php
}

function mo_media_restriction_show_otp_verification(){
   ?>
	<form name="f" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_mediarestriction&view=accountsetup&task=accountsetup.validateOtp'); ?>">
        <div class="mo_boot_row">
            <div class="mo_boot_col-sm-12">
                <input type="hidden" name="option1" value="mo_media_local_validate_otp" />
                <h3>Verify Your Email</h3>
                <hr>
            </div>
        </div>
        <div class="mo_boot_row">
            <div class="mo_boot_col-sm-2">
                <strong><span style="color:#FF0000">*</span>Enter OTP:</strong>
            </div>
            <div class="mo_boot_col-sm-6">
                <input class="mo_boot_form-control" autofocus="true" type="text" name="otp_token" required placeholder="Enter OTP"/>
            </div>
            <div class="mo_boot_col-sm-4">
                <a style="cursor:pointer;" class="mo_boot_btn mo_boot_btn-primary" onclick="document.getElementById('resend_otp_form').submit();">Resend OTP over Email</a>
            </div>
        </div>
        <div class="mo_boot_row">
            <div class="mo_boot_col-sm-12 mo_boot_text-center"><br>
                <input type="submit" value="Validate OTP" class="mo_boot_btn mo_boot_btn-success"/>
                <input type="button" value="Back" class="mo_boot_btn mo_boot_btn-danger" onclick="moMediaBack();"/>
            </div>
        </div>
    </form>
    <form method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_mediarestriction&view=accountsetup&task=accountsetup.cancelform'); ?>" id="mo_media_cancel_form">
        <input type="hidden" name="option1" value="mo_media_local_cancel" />
    </form>

    <form name="f" id="resend_otp_form" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_mediarestriction&view=accountsetup&task=accountsetup.resendOtp'); ?>">
        <input type="hidden" name="option1" value="mo_media_local_resend_otp"/>
    </form>
    <hr>
    <div class="mo_boot_row">
        <div class="mo_boot_col-sm-12">
            <h3>I did not receive any email with OTP. What should I do?</h3>
        </div>
    </div>
    <form id="phone_verification" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_mediarestriction&view=accountsetup&task=accountsetup.phoneVerification'); ?>">
        <div class="mo_boot_row">
            <div class="mo_boot_col-sm-12">
                <input type="hidden" name="option1" value="mo_media_phone_verification" />
                <p>
                    If you can't see the email from miniOrange in your mails, please check your <strong>SPAM Folder</strong>. If you don't see an email even in SPAM folder, verify your identity with our alternate method.<br><br>
                    <strong>Enter your valid phone number here and verify your identity using one time passcode sent to your phone.</strong>
                </p>
            </div>
        </div>
        <div class="mo_boot_row">
            <div class="mo_boot_col-sm-6">
                <input class="mo_boot_form-control" required="true" pattern="[\+]\d{1,3}\d{10}" autofocus="true" type="text"
                name="phone_number" id="phone" placeholder="Enter Phone Number with country code eg. +1xxxxxxxxx" title="Enter phone number without any space or dashes with country code. (Please include country code ex:+91xxxxxxxxxx)"/>
            </div>
            <div class="mo_boot_col-sm-3">
                <input type="submit" value="Send OTP on Phone" class="mo_boot_btn mo_boot_btn-primary"/>
            </div>
        </div>
    </form>
<?php
}

function mo_media_restriction_registration_page()
{
    ?>
    <form name="f" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_mediarestriction&view=accountsetup&task=accountsetup.registerCustomer'); ?>">
        <div class="mo_boot_row mo_boot_mt-3">
            <div class="mo_boot_col-lg-10">
                <input type="hidden" name="option1" value="mo_saml_local_register_customer" />
                <h3>Register with miniOrange</h3>
            </div>
        </div> <hr/>
        <div class="mo_boot_row">
            <div class="mo_boot_col-sm-12">
                <h4>Why should I register?</h4>
                <p class='alert alert-info'>
                    You should register so that in case you need help, we can help you with step by step instructions.You will also need a miniOrange account to upgrade
                    to the license version of the plugins</strong>. We do not store any information except the email that you will use to register with us.
                </p><br>
                <p style="color: #fa2727">
                    If you face any issues during registraion then you can 
                    <a href="https://www.miniorange.com/businessfreetrial" target="_blank"><strong>click here</strong></a>
                    to quick register your account with miniOrange and use the same credentials to login into the plugin.
                </p>
            </div>
            <div class="mo_boot_col-sm-12">
                <div class="mo_boot_row" id="spemail">
                    <div class="mo_boot_col-sm-3">
                        <strong>Email<em style="color:#FF0000">*</em>:</strong>
                    </div>
                    <div class="mo_boot_col-sm-8">
                        <?php 
                            $current_user = JFactory::getUser();
                            $result = MoMediaRestrictionUtility::getCustomerDetails();
                            $admin_email = $result['email'];
                            $admin_phone = $result['admin_phone'];
                            if ($admin_email == '')
                            {
                                $admin_email = $current_user->email;
                            }
                        ?>
                        <input class="mo_saml_table_textbox mo_boot_form-control" type="email" name="email" style="border: 1px solid #868383 !important;" placeholder="person@example.com" required value="<?php echo $admin_email; ?>" />
                    </div>
                </div>
                <div class="mo_boot_row mo_boot_mt-2">
                    <div class="mo_boot_col-sm-3">
                        <strong>Phone number:</strong>
                    </div>
                    <div class="mo_boot_col-sm-8">
                        <input class="mo_saml_table_textbox mo_boot_form-control" type="tel" id="phone" style="border: 1px solid #868383 !important;" pattern="[\+]\d{11,14}|[\+]\d{1,4}([\s]{0,1})(\d{0}|\d{9,10})" name="phone" title="Phone with country code eg. +1xxxxxxxxxx"  placeholder="Phone with country code eg. +1xxxxxxxxxx" value="<?php echo $admin_phone; ?>" />
                        <p><em><strong>NOTE:</strong>We will call only if you call for support</em></p>
                    </div>
                </div>
                <div class="mo_boot_row mo_boot_mt-2">
                    <div class="mo_boot_col-sm-3">
                        <strong>Password<em style="color:#FF0000">*</em>:</strong>
                    </div>
                    <div class="mo_boot_col-sm-8">
                        <input class="mo_saml_table_textbox mo_boot_form-control"  required  type="password" style="border: 1px solid #868383 !important;" name="password" placeholder="Choose your password (Min. length 6)" />
                    </div>
                </div>
                <div class="mo_boot_row mo_boot_mt-2">
                    <div class="mo_boot_col-sm-3">
                        <strong>Confirm Password<em style="color:#FF0000">*</em>:</strong>
                    </div>
                    <div class="mo_boot_col-sm-8">
                        <input class="mo_saml_table_textbox mo_boot_form-control"  required type="password" style="border: 1px solid #868383 !important;" name="confirmPassword" placeholder="Confirm your password" />
                    </div>
                </div>
                <div class="mo_boot_row mo_boot_mt-2">
                    <div class="mo_boot_col-sm-12 mo_boot_text-center">
                        <input type="submit" value="Register" class="mo_boot_btn mo_boot_btn-users_sync" />
                        <input type="button" value="Login" class="mo_boot_btn mo_boot_btn-users_sync mo_boot_ml-2" onclick="mo_login_page();"/>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <form name="f" id="customer_login_form" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_mediarestriction&view=accountsetup&task=accountsetup.customerLoginForm'); ?> ">
    </form>
    <?php
}


function file_restriction()
{

    $configuration = MoMediaRestrictionUtility::getConfiguration();
    $enable_media_restriction = isset($configuration['enable_media_restriction'])? $configuration['enable_media_restriction']: 0;
    $mo_media_restriction_file_types = isset($configuration['mo_media_restriction_file_types'])? $configuration['mo_media_restriction_file_types']: '';
    $insertion = MoMediaRestrictionUtility::getRules();
 
    ?>


    <div class="mo_boot_row">
      
            <div class=" mo_boot_p-2 file_restriction_UI">
                <div class="mo_boot_col-sm-12 mo_boot_mt-3">
                    <div class="mo_boot_row">
                        <div class="mo_boot_col-lg-8 mo_boot_mt-1">
                            <h3>FILE RESTRICTION</h3>
                        </div>
                        <div class="mo_boot_col-lg-4 mo_boot_mt-1">
                            <button style="float:right" class="mo_boot_btn mo_boot_btn-users_sync mo_boot_mt-1 mo_disable_option show_rules">Show Rules</button>
                        </div>
                    </div><hr>
                </div>
                <form name="f"  action="<?php echo JRoute::_('index.php?option=com_miniorange_mediarestriction&view=accountsetup&task=accountsetup.saveFileRestriction'); ?>"  method="post">
                    <div class="mo_boot_col-sm-12 mo_boot_mt-3">
                        <div class="mo_boot_row">
                            <div class="mo_boot_col-sm-5">
                                <strong><h4>Enable Media Restriction</h4></strong>
                            </div>
                            <div  class="mo_boot_col-sm-7" >
                                <label class="mo_media_restriction_switch">
                                    <input value="1" name="mo_enable_media_restriction" type="checkbox" id="mo_enable_media_restriction" <?php if($enable_media_restriction == 1) echo "checked" ?> >
                                        <span class="mo_media_restriction_slider round"></span>
                                </label>
                            </div>
                        </div>
                    </div>
                    <div id="media_restriction_options">
                        <div class="mo_boot_col-sm-12 mo_boot_mt-3">
                            <div class="mo_boot_row">
                                <div class="mo_boot_col-sm-5">
                                    <strong>File types to restrict:</strong><br>
                                    <p  style="font-size: 14px;">We do support only five extenstions in our free version which are:<strong> png, jpg, gif, pdf, doc</strong></p>
                                </div>
                                <div class="mo_boot_col-sm-7">
                                    <input name='mo_media_restriction_file_types' value='<?php echo  $mo_media_restriction_file_types; ?>'   placeholder="Write file extension hit enter like png, pdf">     
                                </div>
                            </div>
                        </div>
                        <div class="mo_boot_col-sm-12 mo_boot_mt-3">
                            <div class="mo_boot_row">
                                <div class="mo_boot_col-sm-5">
                                    <strong>Enter the folder name<sup>[<a href='#' class='premium' onclick="moMediaUpgrade();">Premium</a>]</sup>:</strong><br>
                                    <p  style="font-size: 14px;">Enter the folder name which you want to restrict except image folder.</p>
                                </div>
                                <div class="mo_boot_col-sm-7">
                                    <textarea id="foldername" class="mo_disable_option" name="mo_folder_name" rows="4" cols="50" style="width:100% !important" disabled placeholder="Enter the multiple folders with ; seperation" ></textarea>
                                </div>
                            </div>
                        </div>
                        <div class="mo_boot_col-sm-12 mo_boot_mt-3">
                            <div class="mo_boot_row">
                                <div class="mo_boot_col-sm-5">
                                    <strong>Select the Redirect Option<sup>[<a href='#' class='premium' onclick="moMediaUpgrade();">Premium</a>]</sup>:</strong>
                                    <p  style="font-size: 14px;">We do support only <strong>403 Forbidden Page</strong> in our free version</p>
                                </div>
                                <div class="mo_boot_col-sm-7">
                                    <select class="mo_boot_form-control mo_disable_option" style="width: 100%;" id="auto_redirect_option" name="auto_redirect_option" readonly >
                                        <option value="forbidden_page">403 Forbidden page</option>
                                        <option value="front_end_login">Joomla Frontend login Page</option>
                                        <option value="back_end_login"  >Joomla Backend Login Page</option>
                                        <option value="custom_url">Custom URL</option>
                                        <option value="sso_url">SSO URL</option>
                                    </select>
                                </div>
                            </div>
                        </div>
                        <div class="mo_boot_col-sm-12 mo_boot_mt-3">
                            <div class="mo_boot_row">
                                <div class="mo_boot_col-5">
                                </div>
                                <div class="mo_boot_col-7">
                                    <input type="text" class="mo_custom_url_box" id="url_redirection" name="mo_redirection_option_value"  placeholder="Enter the URL where you want to redirect" style="width:100% !important;" readonly disabled>
                                </div>
                            </div>
                        </div>
                        <div class="mo_boot_col-sm-12 mo_boot_mt-3">
                            <div class="mo_boot_row">
                                <div class="mo_boot_col-5">
                                    <strong>Server Name:</strong>
                                </div>
                                <div class="mo_boot_col-3">
                                    <input type="radio" name="server_name_value" value="Apache" disabled checked>Apache
                                </div>
                                <div class="mo_boot_col-3">
                                    <input type="radio" name="server_name_value" value="Ngix" disabled>NGINX<strong><sup>[<a href='#' class='premium' onclick="moMediaUpgrade();">Premium</a>]</sup></strong>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="mo_boot_col-sm-12">
                        <div class="mo_boot_row mo_boot_mt-5">
                            <div class="mo_boot_col-sm-12 mo_boot_text-center">
                                <input type="submit" name="role_based_access" value="Save Settings" style="margin-bottom:1%;margin-left: 1%;"class="mo_boot_btn mo_boot_btn-users_sync mo_boot_mt-1"/>
                            </div>
                        </div>
                    </div>
                    <p class="mo_media_restriction_note"><strong>Note:</strong> Please click on <strong>Show Rules</strong> button and impose the rules after saving the settings.</p>
                </form>
            </div>
            <?php echo show_htaccess_rules(); ?>
    </div>
    <?php
}

function show_htaccess_rules()
{
    $configuration = MoMediaRestrictionUtility::getConfiguration();
    $enable_media_restriction = isset($configuration['enable_media_restriction'])? $configuration['enable_media_restriction']: 0;
    $insertion = MoMediaRestrictionUtility::getRules();
    ?>
      
      <div class="mo_boot_col-sm-12">
            <div class="rules" style="display:none"> 
                <div class="mo_boot_row">
                    <div class="mo_boot_col-sm-8">
                    </div>
                    <div class="mo_boot_col-sm-4">
                        <button style="float:right" class="mo_boot_btn mo_boot_btn-users_sync mo_boot_mt-1 hide_rules">Plugin Configuration</button>
                    </div>
                </div> <hr>
                <div class="mo_boot_text-center mo_boot_mt-4 ">
                    <p><span style="color:red">Please add below code at the start of the htaccess file. If you don't want to do it manually then click on <strong>Write rules in htaccess directly</strong> button below.
                    (We don't update .htaccess with plugin to make sure you don't lose any existing settings.)</span></p>
                </div>

                <div class="mo_boot_text-center mo_boot_mt-3" style="overflow:scroll;">
                <?php if( $enable_media_restriction)
                    {
                        ?>
                        # BEGIN MINIORANGE MEDIA RESTRICTION <br>
                        <?php
                        foreach($insertion as $insert_rule)
                        {
                            echo $insert_rule; ?>
                            <br>
                            <?php
                        }
                        ?>
                        # END MINIORANGE MEDIA RESTRICTION
                        <?php
                    }
                    ?>
                </div>
                <div class="mo_boot_col-sm-12 mo_boot_text-center mo_boot_mt-4">
                    <form class="mo_boot_d-inline-block" action="<?php echo JRoute::_('index.php?option=com_miniorange_mediarestriction&view=accountsetup&task=accountsetup.writeHtaccess'); ?>" method="post">
                        <input type="button"  value="Write rules in htaccess directly" onclick='submit();' class="mo_boot_btn mo_boot_btn-users_sync"  /> <br/>
                    </form>
                </div>
            </div>
        </div>
    <?php
}
function role_based_file_restriction()
{
    $disabled="disabled";
    $groups = MoMediaRestrictionUtility::loadGroups();
    ?>
    
    <div class="mo_boot_row">
        <div class="mo_boot_p-2 file_restriction_UI" >
            <div class="mo_boot_col-sm-12 mo_boot_mt-3 ">
                <div class="mo_boot_row">
                        <div class="mo_boot_col-sm-8 mo_boot_mt-1">
                            <h3>ROLE BASED FOLDER RESTRICTION<sup>[<a href='#' class='premium' onclick="moMediaUpgrade();">Premium</a>]</sup></h3>
                        </div>
                        <div class="mo_boot_col-sm-4 mo_boot_mt-1">
                            <button style="float:right" class="mo_boot_btn mo_boot_btn-users_sync mo_boot_mt-1 mo_disable_option show_rules" disabled>Show Rules</button>
                        </div>
                </div><hr>
            </div>
            <form name="f"  action="<?php echo JRoute::_('index.php?option=com_miniorange_mediarestriction&view=accountsetup&task=accountsetup.saveRoleBasedRestriction'); ?>"  method="post">
                <div class="mo_boot_col-sm-12 mo_boot_mt-3">
                    <div class="mo_boot_row">
                        <div class="mo_boot_col-sm-4">
                            <strong><h4>Enable Role Based Media Restriction</h4></strong>
                        </div>
                        <div  class="mo_boot_col-sm-8" >
                            <label class="mo_media_restriction_switch">
                                <input value="1" name="enable_role_based_restriction" type="checkbox"  class="mo_disable_option" id="enable_role_based_restriction" disabled>
                                    <span class="mo_media_restriction_slider round" style="<?php echo $disabled=='disabled' ?'background-color: #ccc !important;':''?>"></span>
                            </label>
                        </div>
                    </div>
                </div>
                <div class="mo_boot_col-sm-12 mo_boot_mt-4">
                    <div class="mo_boot_row">
                        <div class="mo_boot_col-sm-4">
                            <strong><h5>Group/Role Name</h5></strong>
                        </div>
                        <div class="mo_boot_col-sm-8">
                            <strong><h5>Folder Name</h5></strong>
                        </div>
                    </div>
                    <div class="mo_boot_row">
                    <?php
                        if (empty($role_based_restrict_key_value)) {
                            foreach ($groups as $group) {
                                if ($group[4] != 'Super Users') {
                        ?>
                        <div class="mo_boot_col-sm-12">
                            <div class="mo_boot_row mo_boot_mt-2">
                                <div class="mo_boot_col-sm-4">
                                    <strong><?php echo  $group[4] ?></strong>
                                </div>
                                <div class="mo_boot_col-sm-8">
                                    <input type="text" class="mo_boot_form-control mo_role_restriction_disable" disabled name="mo_role_based_restriction_values<?php echo $group[0] ?>" value= "" placeholder="Enter mutiple folder names for <?php echo $group[4] ?> with ; seperated value" />
                                </div>
                            </div>
                        </div>
                        <?php 
                                }
                            }
                        }
                    ?>
                    </div>
                </div>
                <div class="mo_boot_col-12 mo_boot_mt-5 mo_boot_text-center">
                    <input type="submit" name="role_based_access" value="Save Settings" style="" disabled class="mo_boot_btn mo_boot_btn-users_sync mo_boot_mt-1"/>       
                </div>
                <p class="mo_media_restriction_note"><strong>Note:</strong> Please click on <strong>Show Rules</strong> button and impose the rules after saving the settings.</p>
            </form>
        </div>
        <?php echo show_htaccess_rules(); ?>
    </div>
   

    <?php

}
function support_form()
{
    $current_user = JFactory::getUser();
    $result       = MoMediaRestrictionUtility::getCustomerDetails();
    $admin_email  = isset($result['email']) ? $result['email'] : '';
    $admin_phone  = isset($result['admin_phone']) ? $result['admin_phone'] : '';
    if($admin_email == '')
        $admin_email = $current_user->email;
    ?>
    <div id="sp_support_usync" class="">
        <div class="mo_boot_row mo_boot_p-3">
            <div class="mo_boot_col-sm-12  mo_boot_mt-3">
                <div class="mo_boot_row">
                        <h3>Feature Request (24*7 Support)</h3>
                </div><hr>
            </div>
        <div class="mo_boot_col-sm-12">
            <form  name="f" method="post" action="<?php echo JRoute::_('index.php?option=com_miniorange_mediarestriction&view=accountsetup&task=accountsetup.contactUs');?>">
               
                <div class="mo_boot_row">
                    <div class="mo_boot_col-sm-2">
                        <img src="<?php echo JURI::base();?>/components/com_miniorange_mediarestriction/assets/images/phone.svg" width="27" height="27"  alt="Phone Image">
                    </div>
                    <div class="mo_boot_col-sm-10">
                        <p><strong>&emsp;Need any help? Just give us a call at <span style="color:red">+1 978 658 9387</span></strong></p>
                    </div>
                </div>
                <p>We can help you with configuring our Media Restriction plugin. Just send us a query and we will get back to you soon.</p>
                <div class="mo_boot_row mo_boot_text-center">
                    <div class="mo_boot_col-sm-12">
                        <input style="border: 1px solid #868383 !important;" type="email" class="mo_usync_table_textbox mo_boot_form-control" name="query_email" value="<?php echo $admin_email; ?>" placeholder="Enter your email" required />
                    </div>
                    <div class="mo_boot_col-sm-12"><br>
                        <textarea  name="query_support" class="mo_boot_form-text-control" style="border-radius:4px;resize: vertical;width:100%; border: 1px solid #868383 !important;" cols="52" rows="5" required placeholder="Write your query here"></textarea>
                    </div>
                </div>
                <div class="mo_boot_row mo_boot_text-center">
                    <div class="mo_boot_col-sm-12">
                        <input type="hidden" name="option1" value="mo_usync_login_send_query"/><br>
                        <input type="submit" name="send_query" value="Submit Query" class="mo_boot_btn mo_boot_btn-users_sync" style="margin-top:5px"/>
                    </div>
                </div><hr>
                <div class="mo_boot_row">
                    <div class="mo_boot_col-sm-12">
                        <p><br>If you want custom features in the plugin, just drop an email to <a style="word-wrap:break-word!important;" href="mailto:joomlasupport@xecurify.com"> joomlasupport@xecurify.com</a> </p>
                    </div>
                </div>
            </form>
        </div>
    </div>
    </div>
    <?php
}

function media_restriction_licensing_plans()
{

    $isRegistered=MoMediaRestrictionUtility::is_customer_registered();
    $upgradeURL="https://www.miniorange.com/contact";
?>
    <div id="myModal" class="TC_modal" style="display:none">
        <div class="TC_modal-content" style="width: 40%!important;">
            <span class="TC_modal_close" onclick="hidemodal()" >&times;</span><br><br>
            <div class=" mo_boot_text-center">
                <p>
                    You Need to Login / Register in <strong>My Account</strong> tab to Upgrade your License 
                </p><br><br>
                <a href="<?php echo JURI::base()?>index.php?option=com_miniorange_mediarestriction&view=accountsetup&tab-panel=account" class="mo_boot_btn mo_boot_btn-primary">LOGIN / REGISTER</a>
            </div>
        </div>
    </div>
    <div class="mo_idp_divided_layout mo-idp-full mo_media_licensing_container" >
        <div class="mo_boot_row mo_boot_mt-5">
            <div class="mo_boot_col-sm-1"></div>
            <div class="mo_boot_col-sm-5">
                <div class="mo_pricingTable">
                    <div class="pricingTable-header" style="height:200px" >
                        <h3 class="heading" style="text-align:center">FREE</h3>
                        <div style="text-align:center;">
                            <a href="#" class="upgrade_button" style="background:white;color:black!important">ACTIVE PLAN</a>
                        </div>
                    </div>  
                    <div class="pricing-content" >
                        <ul>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Limits Number Of Extensions.</li>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Redirect to 403 Forbidden page.</li>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Supports Apache Server.</li>
                            <li><i class="fa fa-times" style="color:black;" ></i> Restrict custom folders.</li>
                            <li><i class="fa fa-times" style="color:black;" ></i> Redirect to Joomla frontend login Page.</li>
                            <li><i class="fa fa-times" style="color:black;" ></i> Redirect to Joomla backend login Page.</li>
                            <li><i class="fa fa-times" style="color:black;" ></i> Redirect to custom URL.</li>
                            <li><i class="fa fa-times" style="color:black;" ></i> Redirect to SSO URL.</li>
                            <li><i class="fa fa-times" style="color:black;" ></i> Integration with SAML and OAuth plugins.</li>
                            <li><i class="fa fa-times" style="color:black;" ></i> Supports NGINX Server.</li>
                            <li><i class="fa fa-times" style="color:black;"></i> Roles Based Folder Restriction</li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="mo_boot_col-sm-5">
                <div class="mo_pricingTable">
                    <div class="pricingTable-header" style="height:200px" >
                        <h3 class="heading" style="text-align:center">PREMIUM</h3>
                        <div style="text-align:center">
                        <?php 
                            if(!$isRegistered){ ?>
                            <a class="upgrade_button" onclick="showmodal()">
                                UPGRADE NOW
                            </a>
                            <?php }else{?>
                            <a class="upgrade_button" target="_blank" href="<?php echo $upgradeURL ?>">
                                UPGRADE NOW
                            </a>
                            <?php }?>
                        </div>
                    </div>
                    <div class="pricing-content" >
                        <ul>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Limits Number Of Extensions.</li>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Redirect to 403 Forbidden page.</li>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Supports Apache Server.</li>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Restrict custom folders.</li>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Redirect to Joomla frontend login Page.</li>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Redirect to Joomla backend login Page.</li>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Redirect to custom URL.</li>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Redirect to SSO URL.</li>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Integration with SAML and OAuth plugins.</li>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Supports NGINX Server.</li>
                            <li><i class="fa fa-check" style="color:#007bff;" ></i> Roles Based Folder Restriction</li>
                        </ul>
                    </div>
                </div>
            </div> 
        </div>
        <div class="mo_boot_mt-5">
            <h3>Return Policy -</h3>
            <p>At miniOrange, we want to ensure you are 100% happy with your purchase. If the licensed plugin you purchased is not working as advertised and you've attempted to resolve any feature issues with our support team but couldn't get them resolved, we will refund the amount paid for the plugin.
                Please note that we will not refund any fees paid for support plans, support hours, or customization charges.

            <br><br><strong>Note that this policy does not cover the following cases:</strong>
            <li>1. Change in mind or change in requirements after purchase.</li>

            <li>2. Infrastructure issues do not allow the functionality to work.</li>
            </p><br>

            If you have any doubts regarding the licensing plans, you can mail us at <b><a href='mailto:joomlasupport@xecurify.com'><i style="word-wrap:break-word;">joomlasupport@xecurify.com</i></a></b></p>
        </div>
    </div>
<?php
}

?>
